Subject: Re: [PATCH net] net/sched: act_mirred: use the backlog for mirred ingress

From: Jakub Kicinski <[email-masked]>
Date: Mon, 12 Feb 2024 07:02:13 -0800

On Mon, 12 Feb 2024 09:51:20 -0500 Jamal Hadi Salim wrote:
> > The test Davide added in commit ca22da2fbd69 ("act_mirred: use the backlog
> > for nested calls to mirred ingress") hangs our testing VMs every 10 or so
> > runs, with the familiar tcp_v4_rcv -> tcp_v4_rcv deadlock reported by
> > lockdep.
> >
> > In the past there was a concern that the backlog indirection will
> > lead to loss of error reporting / less accurate stats. But the current
> > workaround does not seem to address the issue.
> 
> Let us run some basic tests on this first - it's a hairy spot. 

Thanks!

> Also, IIRC Cong had some reservations about this in the past. Can't
> remember what they were.

He was worried that the overlimits stats are no longer counted when we
decouple (and Davide's selftest actually checks for that so I had to
modify it).

I'm not married to the solution in any way but bugs much less serious
get three letter acronyms, we can't pretend this one doesn't exist.